Bug 1026718 - [RFE] Notification service - use API instead of health servlet for keep alive
[RFE] Notification service - use API instead of health servlet for keep alive
Status: CLOSED WONTFIX
Product: ovirt-engine
Classification: oVirt
Component: Services.Notifier (Show other bugs)
---
Unspecified Unspecified
unspecified Severity medium (vote)
: ovirt-4.0.0-alpha
: ---
Assigned To: Eli Mesika
Pavel Stehlik
infra
: FutureFeature, Improvement
Depends On: 1009843
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-05 04:53 EST by Alon Bar-Lev
Modified: 2016-01-27 01:57 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-27 01:57:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ylavi: ovirt‑4.0.0?
sherold: Triaged+
rule-engine: planning_ack?
alonbl: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)

  None (edit)
Description Alon Bar-Lev 2013-11-05 04:53:22 EST
The health servlet is a legacy interface that IMO should not be used at all, marked obsolete and removed as soon as we can.

Please make the notification service use the formal supported API to pull engine status.

It should be simple either use the java binding of our sdk, or just perform HTTP request and expect valid response.

Thanks!
Comment 1 Itamar Heim 2013-11-05 18:32:17 EST
for easy configuration, would need api to expose this info to anonymous user?
Comment 2 Alon Bar-Lev 2013-11-05 18:35:36 EST
(In reply to Itamar Heim from comment #1)
> for easy configuration, would need api to expose this info to anonymous user?



you are right (bug#1009843), in this case (unlike the setup and hosted) we do not have account information.
Comment 4 Alon Bar-Lev 2015-08-05 10:52:03 EDT
*MUST* be for 4.0.
Comment 5 Alon Bar-Lev 2015-08-05 10:55:01 EDT
(In reply to Alon Bar-Lev from comment #4)
> *MUST* be for 4.0.

sorry, not a must, I see I already used the /services/ servlet, but it should not be used any more and dropped in 4.0.
Comment 7 Oved Ourfali 2016-01-27 01:57:13 EST
The API doesn't perform authentication, it is performed by the AAA
subsystem. However, the AAA subsystem currently doesn't allow "guest" or "anonymous" access to anything so the API will not be able to serve such requests to public queries.

As we don't plan work around allowing that in the AAA layer, closing it as WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.